From 442a6c4e682dcbc7f53b83d20fa29ecba6bd52f0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Thu, 3 Oct 2013 18:27:43 +0200
Subject: [PATCH 1/5] contrib: add option to overwrite ARCH if the host triple
 is ambigous

This is needed for some obscure platform which prefer arm-manufactor-os while arm can be virtually anything
---
 contrib/bootstrap    | 11 ++++++++++-
 contrib/src/main.mak |  2 ++
 2 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/contrib/bootstrap b/contrib/bootstrap
index f0bfe91..05abd3a 100755
--- a/contrib/bootstrap
+++ b/contrib/bootstrap
@@ -31,6 +31,7 @@ usage()
 	echo "  --disable-sout   configure to not build stream output packages"
 	echo "  --enable-small   optimize libraries for size with slight speed decrease [DANGEROUS]"
 	echo "  --disable-gpl    configure to not build viral GPL code"
+	echo "  --arch=ARCH      configure to set the target architecture if host triple is ambigous"
 }
 
 BUILD=
@@ -42,6 +43,7 @@ BUILD_ENCODERS="1"
 BUILD_NETWORK="1"
 BUILD_DISCS="1"
 GPL="1"
+ARCH=
 
 if test ! -f "../../contrib/src/main.mak"
 then
@@ -86,6 +88,9 @@ do
 		--enable-*)
 			PKGS_ENABLE="${PKGS_ENABLE} ${1#--enable-}"
 			;;
+		--arch=*)
+			ARCH="${1#--arch=}"
+			;;
 		*)
 			echo "Unrecognized options $1"
 			usage
@@ -194,6 +199,7 @@ test -z "$BUILD_ENCODERS" || add_make_enabled "BUILD_ENCODERS"
 test -z "$BUILD_NETWORK" || add_make_enabled "BUILD_NETWORK"
 test -z "$ENABLE_SMALL" || add_make_enabled "ENABLE_SMALL"
 test -z "$GPL" || add_make_enabled "GPL"
+test -z "$ARCH" || add_make "ARCH := $ARCH"
 
 #
 # Checks
@@ -206,7 +212,10 @@ case "${OS}" in
 			check_macosx_sdk
 			add_make_enabled "HAVE_MACOSX" "HAVE_DARWIN_OS" "HAVE_BSD"
 		else
-			add_make_enabled "HAVE_IOS" "HAVE_DARWIN_OS" "HAVE_BSD" "HAVE_NEON" "HAVE_ARMV7A"
+ 			add_make_enabled "HAVE_IOS" "HAVE_DARWIN_OS" "HAVE_BSD" "HAVE_NEON"
+ 			if [ "$ARCH" != "arm64" ]; then
+ 				add_make_enabled "HAVE_ARMV7A"
+ 			fi
 		fi
 		;;
 	*bsd*)
diff --git a/contrib/src/main.mak b/contrib/src/main.mak
index 2b6bb9d..4b316a7 100644
--- a/contrib/src/main.mak
+++ b/contrib/src/main.mak
@@ -35,7 +35,9 @@ PREFIX := $(abspath $(PREFIX))
 ifneq ($(HOST),$(BUILD))
 HAVE_CROSS_COMPILE = 1
 endif
+ifeq ($(ARCH),)
 ARCH := $(shell $(SRC)/get-arch.sh $(HOST))
+endif
 
 ifeq ($(ARCH)-$(HAVE_WIN32),x86_64-1)
 HAVE_WIN64 := 1
-- 
1.8.3.4 (Apple Git-47)

